Name:           trustyrc
Version:        0.1.2        
Release:        1%{?dist}
Summary:        Fully modular IRC robot

Group:          Applications/Internet
License:        GPLv2+
URL:            http://nicoleau.fabien.free.fr/weblog/?pages/trustyRC
Source0:        http://nicoleau.fabien.free.fr/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  tinyxml-devel
Requires:       trustyrc-plugins

%description
trustyRC is a fully modular IRC robot which includes all of the common
bot features (channel moderation, administration, account system, quotes)
and much more.  trustyRC is comprised of a a kernel and a plugin loader
which loads features such as a log system, configuration parser,
networking, etc.  All plugins can communicate with others,
providing a highly flexible system.

A plugin can be loaded or unloaded while the bot is running,
so if a plugin needs to be updated, it can be unloaded,
rebuilt and reloaded.  During this, the bot does not need to be stopped.
Plugins are stored in shared libraries; a plugin's features are available
to the bot when the plugin is loaded and those features are removed
when the plugin is unloaded.


%package plugins
Summary: Vitals plugins for trustyrc
Group: Applications/Internet
Requires: %{name} = %{version}
%description plugins
Vitals plugins for trustyrc

%package plugins-extras
Summary: Extra plugins for trustyrc
Group: Applications/Internet
%if 0%{?fedora} >8
BuildRequires:  libcurl-devel
%else
BuildRequires:  curl-devel
%endif
Requires: %{name} = %{version}
%description plugins-extras
Extra plugins for trustyrc

%prep
%setup -q

%build
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ;
make %{?_smp_mflags} HAVE_TINYXML=yes PARANOID=no


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} LIBDIR=%{_libdir}  HAVE_TINYXML=yes PARANOID=no


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING FEATURES README
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}

%files plugins
%defattr(-,root,root,-)
%doc HOWTO.plugins
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/antiflood.so
%{_libdir}/%{name}/ping.so
%{_libdir}/%{name}/postconnect.so
%{_libdir}/%{name}/moderation.so
%{_libdir}/%{name}/module.so
%{_libdir}/%{name}/admin.so
%{_libdir}/%{name}/ignore.so
%{_libdir}/%{name}/infos.so
%{_libdir}/%{name}/ctcp.so
%{_libdir}/%{name}/usersinfos.so

%files plugins-extras
%defattr(-,root,root,-)
%{_libdir}/%{name}/advertising.so
%{_libdir}/%{name}/bashfr.so
%{_libdir}/%{name}/bzrh.so
%{_libdir}/%{name}/fedorafr.so
%{_libdir}/%{name}/fedoraproject.so
%{_libdir}/%{name}/gameserver.so
%{_libdir}/%{name}/ipconverting.so
%{_libdir}/%{name}/lamoule.so
%{_libdir}/%{name}/magic8ball.so
%{_libdir}/%{name}/pluginsample.so
%{_libdir}/%{name}/quotes.so
%{_libdir}/%{name}/slapme.so
%{_libdir}/%{name}/survey.so
%{_libdir}/%{name}/tele.so
%{_libdir}/%{name}/trad.so

%changelog
* Sun Sep 28 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.2-1
- rebuild for 0.1.2
* Fri Jun 27 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.1-2
- Change buildrequires for curl (only on plugins-extras)
- Licence update
- non-macro usage for sed
- english corrections
- compiler flags set
* Sat Jun 21 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> 0.1.1-1
- Initital build

